/**
 * @copyright   2017, Miles Johnson
 * @license     https://opensource.org/licenses/MIT
 */
/// <reference types="yargs" />
import { Context as BaseContext } from '@boost/core';
import { Arguments, Argv } from '../types';
export default class Context extends BaseContext {
    args: Arguments;
    argv: Argv;
    moduleRoot: string;
    root: string;
    constructor(args: Arguments);
    /**
     * Add a positional argument to the argv list.
     */
    addArg(arg: string): this;
    /**
     * Add multiple positional arguments.
     */
    addArgs(args: string[]): this;
    /**
     * Add an option argument to both the args object and argv list.
     */
    addOption(arg: string, defaultValue?: any, useEquals?: boolean): this;
    /**
     * Add multiple boolean option arguments.
     */
    addOptions(args: string[]): this;
    /**
     * Return an argument or option value by name, or a fallback value if not found.
     */
    getArg<T>(name: string, fallback?: any): T;
}
