"use strict";
/**
 * @copyright   2017, Miles Johnson
 * @license     https://opensource.org/licenses/MIT
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Context_1 = __importDefault(require("./Context"));
class ScriptContext extends Context_1.default {
    constructor(args, name) {
        super(args);
        this.script = null;
        this.scriptName = '';
        this.scriptPath = '';
        this.scriptName = name;
    }
    /**
     * Set the script object and associated metadata.
     */
    setScript(script, path) {
        this.script = script;
        this.scriptName = script.name;
        this.scriptPath = path;
        return this;
    }
}
exports.default = ScriptContext;
