import { Tool } from '@boost/core';
import Driver from '../packages/core/src/Driver';
import Script from '../packages/core/src/Script';
import Context from '../packages/core/src/contexts/Context';
import DriverContext from '../packages/core/src/contexts/DriverContext';
import ScaffoldContext from '../packages/core/src/contexts/ScaffoldContext';
import ScriptContext from '../packages/core/src/contexts/ScriptContext';
import { DriverMetadata } from '../packages/core/src/types';
export declare const EXEC_RESULT: {
    cmd: string;
    code: number;
    failed: boolean;
    killed: boolean;
    signal: null;
    stderr: string;
    stdout: string;
    timedOut: boolean;
};
export declare function createTestDebugger(): any;
export declare function createTestTool(): Tool;
export declare function createTestDriver(name: string, tool?: Tool | null, metadata?: Partial<DriverMetadata>): Driver<any>;
export declare function applyContext<T extends Context>(context: T): T;
export declare function createContext(): Context;
export declare function createDriverContext(driver?: Driver<any> | null): DriverContext;
export declare function createScaffoldContext(generator?: string, action?: string): ScaffoldContext;
export declare function createScriptContext(script?: Script | null): ScriptContext;
export declare function prependRoot(part: string): string;
export declare function getRoot(): string;
export declare function getFixturePath(part: string): string;
